Supported Platforms

Avantra Agent

Agent Operating Systems

The Avantra Agent can be installed on the following operating systems:

  • SuSE Linux Enterprise Server 9 and higher, RedHat Enterprise Server 3 and higher on Intel x86, x86_64 and PowerPC (ppc64)

  • Microsoft Windows Server 2008 R2 (x86, x86_64, Itanium 2), 2012/2012 R2, 2016, 2019

  • Oracle Solaris 10, 11 (SPARC and x86_64 architecture).

A Java 8 or 11 Runtime Environment is required for the Avantra Agent.

On Linux, you need to have the GNU C Library (glibc) version 2.7 or higher installed.

SAP Basis

The Avantra Agent monitors the following SAP Basis Releases:

  • Releases 4.6C, 4.6D

  • Release 6.40

  • Releases 7.0x, 7.1x, 7.2x, 7.3x, 7.4x, 7.5x, 7.7.x

Unicode Kernels are supported as well.

Databases (stand-alone and SAP Database instances)

  • IBM DB2 Universal Database 8.2.2 and higher (on all available operating systems mentioned above)

  • Oracle8i, Oracle9i, Oracle10g, Oracle11g, Oracle12c, Oracle18c, Oracle19c (on all available operating systems mentioned above)

  • MaxDB 7.5 and higher (on all available operating systems mentioned above)

  • Microsoft SQL Server 2000, Microsoft SQL Server 2005, Microsoft SQL Server 2008, Microsoft SQL Server 2008 R2, Microsoft SQL Server 2012, Microsoft SQL Server 2014, Microsoft SQL Server 2016, Microsoft SQL Server 2017, Microsoft SQL Server 2019 (on Microsoft Windows operating systems)

  • SAP HANA 1.0, 2.0

  • SAP SQL Anywhere 16 and higher (on all available operating systems mentioned above)

  • SAP Sybase ASE versions 15.7 and higher (on all available operating systems mentioned above)

  • SAP IQ of version 16.0 and higher

Avantra Server Components

The Avantra Server, running Avantra Master, Avantra Database, and other applications, is supported on the following platforms:

Avantra Server Operating Systems

  • Microsoft Windows Server 2012/2012 R2, 2016, 2019 (for all: 64 bit, US English Language Version)

  • Linux on Intel x86_64 architecture with GNU C Library 2.7 or higher. Please observer this hint as well: Avantra Server on RHEL/CentOS 8 Linux

Databases

  • Microsoft SQL Server 2008, Microsoft SQL Server 2008 R2, Microsoft SQL Server 2012, Microsoft SQL Server 2014, Microsoft SQL Server 2016, Microsoft SQL Server 2017, and Microsoft SQL Server 2019 (US English Language Version) on Microsoft Windows operating systems:

    • For small environments, i.e. up to 20 managed SAP systems (including 25 application instances and 25 servers) the Microsoft SQL Server 2016 or 2017 Express Edition will suffice.

      However, there is a size limit of 10 GB for this database so it as well depends on how much data you retain over the years.

    • For more than 20 managed SAP systems we recommend to use Microsoft SQL Server 2012, Microsoft SQL Server 2014, Microsoft SQL Server 2016, Microsoft SQL Server 2017, and Microsoft SQL Server 2019 Standard Edition PostgreSQL 9.6.x, 10.x, 11.x on Linux x64 operating systems

Hardware Recommendations

As minimum hardware requirements we recommend:

  • A reasonably new dual-core CPU, 2GHz or more

  • 8GB physical RAM

  • At least 50GB disk space for the application and its data.

For more than 300 managed SAP Systems:

  • A reasonably new quad-core CPU, 3GHz or more

  • 16GB physical RAM

  • At least 100GB disk space for the application and its data.